lament(6)

NAME
lament - animates the Lament Configuration

SYNOPSIS
lament [-display host:display.screen] [-window] [-root] [-install] [-visual visual] [-delay microseconds] [-fps] [-texture] [-no-texture] [-wireframe]

DESCRIPTION
The lament program draws an animation of a particular puzzle box repeatedly solving itself.

OPTIONS
lament accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-texture
    Use texture maps. This is the default.

-no-texture
    Do not use texture maps. This is boring and wrong.

-wireframe
    Only draw outlines.

-delay microseconds
    How long to pause between frames. Default is 20000, or 0.02 second.

-fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

BUGS
This hack is glacially slow on machines lacking hardware texture support. Occasionally opens doors, admitting theologians of the Order of the Gash.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 1998 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>, 25-Jul-98.